Loading...
Searching...
No Matches
Opm::RSTConfig Class Reference

## Public Member Functions

| RSTConfig (const SOLUTIONSection &solution_section, const ParseContext &parseContext, bool compositional_arg, ErrorGuard &errors)
void | update (const DeckKeyword &keyword, const ParseContext &parseContext, ErrorGuard &errors)
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const RSTConfig &other) const

## Static Public Member Functions

static RSTConfig | first (const RSTConfig &src)
static RSTConfig | serializationTestObject ()

## Public Attributes

std::optional< bool > | write_rst_file {}
std::map< std::string, int > | keywords {}
std::optional< int > | basic {}
std::optional< int > | freq {}
bool | save { false }
bool | compositional { false }

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/RSTConfig.hpp
- opm/input/eclipse/Schedule/RSTConfig.cpp